# API Reference

## Check

Check for a specific IP or domain resource using the check endpoint.

{% content-ref url="/pages/r2xNSZbZUtn4uIJepjuH" %}
[Check ressource](/technical-docs/api-reference/check-ressource.md)
{% endcontent-ref %}

For performance reasons, you'll find separate endpoints for each sub-check you want to look for:

{% content-ref url="/pages/UpTmgHhwsRYxAIRhlxIL" %}
[Reputation](/technical-docs/api-reference/check-ressource/reputation.md)
{% endcontent-ref %}

{% content-ref url="/pages/OspdXm1aHTKbrPvF2Jil" %}
[Vulnerabilities](/technical-docs/api-reference/check-ressource/vulnerabilities.md)
{% endcontent-ref %}

{% content-ref url="/pages/CbqwTrxj1RcUuxdzcH3z" %}
[Geolocation](/technical-docs/api-reference/check-ressource/geolocation.md)
{% endcontent-ref %}

{% content-ref url="/pages/iszKMyvDuVEIJd1m21s2" %}
[Whois](/technical-docs/api-reference/check-ressource/whois.md)
{% endcontent-ref %}

## Search

You can make a fuzzy search concerning a resource using the search endpoint.

{% content-ref url="/pages/UsU0SaAPKkDpdDRBoKVv" %}
[Search resource](/technical-docs/api-reference/search-resource.md)
{% endcontent-ref %}

## Submit

Submit new source to the community sources file using the submit endpoint.

{% content-ref url="/pages/IQw7skioLYNZOHL1pUd1" %}
[Submit source](/technical-docs/api-reference/submit-source.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ismalicious.com/technical-docs/api-reference.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
